#!/usr/bin/env python

#
# Usage: python sim-em01b-cmd.py HOST [PORT] COMMAND
#
# Sends COMMAND to websensor simulation.
#
# Example:
# $ python sim-em01b-cmd.py localhost 50437 Temp=85.2
#

import os
import socket
import sys

DEFAULT_PORT = 50437
RECEIVE_BUFFER_SIZE = 256

def main():
  (host, port, command) = getCommandLineArgs()
  commandToSend = command + "\r\n"
  s = createConnectedSocket(host, port)
  s.send(commandToSend)
  print >> sys.stderr, "> \"%s\"" % commandToSend.encode("string_escape")
  sys.stderr.flush()
  response = s.recv(RECEIVE_BUFFER_SIZE)
  print >> sys.stderr, "< \"%s\"" % response.encode("string_escape")
  sys.stderr.flush()
  s.close()

def createConnectedSocket(host, port):
  s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
  s.connect((host, port))
  return s

def getCommandLineArgs():
  if len(sys.argv) <= 1:
    print >> sys.stderr, "error: expected HOST argument"
    sys.exit(1)
  if len(sys.argv) <= 2:
    print >> sys.stderr, "error: expected COMMAND argument"
    sys.exit(1)
  host = sys.argv[1]
  port = DEFAULT_PORT
  command = None
  if len(sys.argv) == 3:
    command = sys.argv[2]
  else:
    port = int(sys.argv[2])
    command = sys.argv[3]
  return (host, port, command)

if __name__ == "__main__": main()
